Ask / Submit
2

[SDK] "Column.rightPadding" is not available in QtQuick 2.5

asked 2018-11-22 22:18:43 +0200

Direc gravatar image

updated 2018-11-22 22:27:25 +0200

I'm trying to figure out a specific layout, and documentation lists quite handy properties for Column element: rightPadding, leftPadding, rightPadding and bottomPadding, and that the import statement is "include QtQuick 2.5" I have updated the whole project to use QtQuick 2.5, but I still get the same error:

CoverLoader.js: createComponent error:  file:///usr/share/filename.qml:77 "Column.rightPadding" is not available in QtQuick 2.5.

Is it supposed to work, or am I missing something obvious?

I'm running the latest SDK, updated today, so I think it's around version 3.0.0.8...

Edit: I can achieve the same result using both anchor.left and anchor.leftMargin properties in the children, but still it looks like that the documentation is incorrect.

edit retag flag offensive close delete

1 Answer

Sort by » oldest newest most voted
2

answered 2018-11-23 22:09:51 +0200

It requires QtQuick 2.6 for the Column padding properties, but there does seem to be an inaccuracy inside the in-SDK Documentation, might be worth a separate question for the SDK guys to look into.

edit flag offensive delete publish link more

Comments

So the documentation is incorrect, that is a good enough answer for me.

Thank you!

Direc ( 2018-11-23 23:06:36 +0200 )edit
Login/Signup to Answer

Question tools

Follow
1 follower

Stats

Asked: 2018-11-22 22:18:43 +0200

Seen: 148 times

Last updated: Nov 23 '18